Skip to main content

Agent Executions

An agent execution represents a single run of an agent—including the time it ran, its status, and the input/output. You can review agent executions to monitor how your agent has been used over time.

Get Agent Executions

To get the agent executions for all your agents, you can use the GET /agent_executions/ endpoint.

Example for All Agents

curl https://api.logic.inc/v1/agent_executions/
  -H "Authorization: Bearer $LOGIC_API_TOKEN"
This will return a list of all the executions for the agents in your organization.

List All Agent Executions for a Specific Agent

To get the agent executions for a specific agent, you can use the GET /agents/{agent_id}/executions endpoint. This will return a list of all the executions for the specified agent. You can learn more about how to get the agent ID in the Agent IDs section.

Example for a Specific Agent

curl https://api.logic.inc/v1/agents/{agent_id}/executions/
  -H "Authorization: Bearer $LOGIC_API_TOKEN"
This will return a list of all the executions for a specified agent in your organization.
Replace any {id} in the example code, such as {agent_id} with the ID you need for your specific API call.